summaryrefslogtreecommitdiff
path: root/libs/prepare-libraries.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libs/prepare-libraries.sh')
-rw-r--r--libs/prepare-libraries.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/libs/prepare-libraries.sh b/libs/prepare-libraries.sh
new file mode 100644
index 0000000..b993312
--- /dev/null
+++ b/libs/prepare-libraries.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Unzips, prepares and patches the domc and depending libraries
+# for use with the rtfx.
+#
+# The tar files should be in the 'files' directory as should the
+# patches.
+
+cd `dirname $0`
+
+# Delete the original directories
+rm -rf domc || exit 1
+rm -rf libmba || exit 1
+
+# Unzip the libraries
+echo "untarring dist files..."
+tar -zxf files/domc-*.tar.gz || exit 1
+tar -zxf files/libmba-*.tar.gz || exit 1
+
+# Rename the directories
+echo "renaming directories..."
+mv domc-* domc || exit 1
+mv libmba-* libmba || exit 1
+
+# Patch the directories
+echo "patching the distributions..."
+patch -p0 < files/domc-library.patch
+patch -p0 < files/libmba-library.patch
+